/**
 * 日期时间工具类，后期慢慢收集累积
 * createDate 2021-11-02
 */

let dateTime = {}

/**
 * this.$dateTime.dateFormat(new Date())
 * 2021-01-26 11:48:52
 */
dateTime.format=(date= new Date(),fmt="YYYY-mm-dd HH:MM:SS")=> {
    let ret;
    const opt = {
        "Y+": date.getFullYear().toString(),        // 年
        "m+": (date.getMonth() + 1).toString(),     // 月
        "d+": date.getDate().toString(),            // 日
        "H+": date.getHours().toString(),           // 时
        "M+": date.getMinutes().toString(),         // 分
        "S+": date.getSeconds().toString()          // 秒
        // 有其他格式化字符需求可以继续添加，必须转化成字符串
    };
    for (let k in opt) {
        ret = new RegExp("(" + k + ")").exec(fmt);
        if (ret) {
            fmt = fmt.replace(ret[1], (ret[1].length == 1) ? (opt[k]) : (opt[k].padStart(ret[1].length, "0")))
        };
    };
    return fmt;
}

dateTime.createDate = (value)=>{
  let date = typeof (value) == 'string' ? value.replace(/\-/g, '/') : value
  return new Date(date)
}

dateTime.getTime = (value)=>{
  let date = typeof (value) == 'string' ? value.replace(/\-/g, '/') : value
  return new Date(date).getTime()
} 

//默认五分钟
dateTime.getExpireTime=(value=5)=>{
	let now=new Date()
	let min=now.getMinutes()
	now.setMinutes(min + value)
	let expireTime=dateTime.format(now)
	return expireTime
}



export default dateTime
